import base64
from Crypto import Random
from Crypto.Cipher import AES
import Padding

def encrypt(base64Key, inputString):

    # Generates a random 16-byte iv
    iv = Random.new().read(16)
    randIvString = base64.b64encode(iv)

    # Converts key into bytes
    key = base64.b64decode(base64Key)

    obj = AES.new(key, AES.MODE_CBC, iv)

    # Encrypts padded input string
    inputString = Padding.pad(inputString, 16, style='pkcs7')
    encryptedBytes = obj.encrypt(inputString)
    encryptedString = base64.b64encode(encryptedBytes)

    return randIvString, encryptedString


def decrypt(base64Key, randIvString, encryptedString):

    encryptedBytes = base64.b64decode(encryptedString)

    iv = base64.b64decode(randIvString)
    key = base64.b64decode(base64Key)

    obj = AES.new(key, AES.MODE_CBC, iv)

    text = obj.decrypt(encryptedBytes)
    text = Padding.unpad(text, 16, style='pkcs7')
    return text
